ppetserver_foreman/pull/31,
Description

Using Hiera it should be possible to reuse the value provided. This would remove one option that users must provide. It gets even

more important when renewing certificates.

Related issues:

Related to Katello - Bug #20432: Wrong server_foreman_url in answer file on p... Closed

Associated revisions

Revision 72556c04 - 08/07/2023 11:17 AM - Ewoud Kohl van Wijngaarden

Fixes #36573 - Reuse foreman_url answer from foreman_proxy module

Rather than requiring the user to specify it twice, this prefers the

Hiera answer from the foreman_proxy module with the older value as a

fallback. It's also a default, so users providing it explicitly won't be

affected.

Revision 1a1117e5 - 08/07/2023 12:28 PM - Ewoud Kohl van Wijngaarden

Refs #36573 - Drop default value for foreman_url

This default matches what's in theforeman/puppetserver_foreman and is

not needed. Users can still override it, but the default just duplicates

things.

Revision 943b4d6c - 08/07/2023 12:30 PM - Ewoud Kohl van Wijngaarden

Refs #36573 - Drop puppet::server_foreman_url value if redundant

theforeman/puppetserver_foreman has started to default to copying the

value from foreman_proxy::foreman_base_url when unspecified.

theforeman/puppet has removed its default. This completes it by removing

the value if both answers are the same.

The biggest benefit is that the user only needs to care about a single

answer and no longer keep them in sync. This means we can stop thinking

about whether Puppet is enabled or not in all our user instructions.

History

#1 - 07/07/2023 12:21 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden
- Pull request https://github.com/theforeman/puppet-puppetserver_foreman/pull/31 added

#2 - 07/07/2023 12:26 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-puppet/pull/880 added

#3 - 07/07/2023 12:32 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/869 added

#4 - 08/02/2023 09:58 AM - Ewoud Kohl van Wijngaarden

- Red Hat JIRA set to SAT-18846

#5 - 08/07/2023 10:00 AM - Ewoud Kohl van Wijngaarden

- Target version set to 3.8.0

#6 - 08/07/2023 12:01 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-puppetserver_foreman|72556c04e0071502f01b5262b2a42ee98968647a.

#7 - 08/07/2023 12:31 PM - Ewoud Kohl van Wijngaarden

- Fixed in Releases 3.8.0 added

#8 - 08/09/2023 12:34 PM - Ewoud Kohl van Wijngaarden

- Related to Bug #20432: Wrong server_foreman_url in answer file on proxy content  added

#9 - 09/11/2023 10:34 AM - Ewoud Kohl van Wijngaarden

- Triaged changed from No to Yes

#10 - 09/14/2023 11:12 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-documentation/pull/2432 added
